{"openapi":"3.0.1","info":{"title":"Idexchange API","description":"Idexchange API documentation","termsOfService":"","contact":{"name":"","url":"","email":""},"license":{"name":"unlicensed","url":""},"version":"0.0.1"},"servers":[{"url":"http://idxchange-api.synapsys.sn","description":"Generated server url"}],"paths":{"/api/utilisateurs/{id}":{"get":{"tags":["utilisateur-resource"],"operationId":"getUtilisateur","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UtilisateurDTO"}}}}}},"put":{"tags":["utilisateur-resource"],"operationId":"updateUtilisateur","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UtilisateurDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UtilisateurDTO"}}}}}},"delete":{"tags":["utilisateur-resource"],"operationId":"deleteUtilisateur","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["utilisateur-resource"],"operationId":"partialUpdateUtilisateur","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UtilisateurDTO"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/UtilisateurDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UtilisateurDTO"}}}}}}},"/api/type-structures/{id}":{"get":{"tags":["type-structure-resource"],"operationId":"getTypeStructure","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TypeStructureDTO"}}}}}},"put":{"tags":["type-structure-resource"],"operationId":"updateTypeStructure","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TypeStructureDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TypeStructureDTO"}}}}}},"delete":{"tags":["type-structure-resource"],"operationId":"deleteTypeStructure","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["type-structure-resource"],"operationId":"partialUpdateTypeStructure","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TypeStructureDTO"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/TypeStructureDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TypeStructureDTO"}}}}}}},"/api/structures/{id}":{"get":{"tags":["structure-resource"],"operationId":"getStructure","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StructureDTO"}}}}}},"put":{"tags":["structure-resource"],"operationId":"updateStructure","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StructureDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StructureDTO"}}}}}},"delete":{"tags":["structure-resource"],"operationId":"deleteStructure","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["structure-resource"],"operationId":"partialUpdateStructure","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StructureDTO"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/StructureDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StructureDTO"}}}}}}},"/api/persistent-audit-events/{id}":{"get":{"tags":["persistent-audit-event-resource"],"operationId":"getPersistentAuditEvent","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PersistentAuditEventDTO"}}}}}},"put":{"tags":["persistent-audit-event-resource"],"operationId":"updatePersistentAuditEvent","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersistentAuditEventDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PersistentAuditEventDTO"}}}}}},"delete":{"tags":["persistent-audit-event-resource"],"operationId":"deletePersistentAuditEvent","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["persistent-audit-event-resource"],"operationId":"partialUpdatePersistentAuditEvent","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersistentAuditEventDTO"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/PersistentAuditEventDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PersistentAuditEventDTO"}}}}}}},"/api/permissions/{id}":{"get":{"tags":["permission-resource"],"operationId":"getPermission","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PermissionDTO"}}}}}},"put":{"tags":["permission-resource"],"operationId":"updatePermission","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PermissionDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PermissionDTO"}}}}}},"delete":{"tags":["permission-resource"],"operationId":"deletePermission","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["permission-resource"],"operationId":"partialUpdatePermission","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PermissionDTO"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/PermissionDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PermissionDTO"}}}}}}},"/api/param-sorties/{id}":{"get":{"tags":["param-sortie-resource"],"operationId":"getParamSortie","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ParamSortieDTO"}}}}}},"put":{"tags":["param-sortie-resource"],"operationId":"updateParamSortie","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ParamSortieDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ParamSortieDTO"}}}}}},"delete":{"tags":["param-sortie-resource"],"operationId":"deleteParamSortie","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["param-sortie-resource"],"operationId":"partialUpdateParamSortie","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ParamSortieDTO"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/ParamSortieDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ParamSortieDTO"}}}}}}},"/api/methodes/{id}":{"get":{"tags":["methode-resource"],"operationId":"getMethode","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MethodeDTO"}}}}}},"put":{"tags":["methode-resource"],"operationId":"updateMethode","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MethodeDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MethodeDTO"}}}}}},"delete":{"tags":["methode-resource"],"operationId":"deleteMethode","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["methode-resource"],"operationId":"partialUpdateMethode","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MethodeDTO"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/MethodeDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MethodeDTO"}}}}}}},"/api/facturations/{id}":{"get":{"tags":["facturation-resource"],"operationId":"getFacturation","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/FacturationDTO"}}}}}},"put":{"tags":["facturation-resource"],"operationId":"updateFacturation","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FacturationDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/FacturationDTO"}}}}}},"delete":{"tags":["facturation-resource"],"operationId":"deleteFacturation","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["facturation-resource"],"operationId":"partialUpdateFacturation","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FacturationDTO"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/FacturationDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/FacturationDTO"}}}}}}},"/api/champs/{id}":{"get":{"tags":["champ-resource"],"operationId":"getChamp","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ChampDTO"}}}}}},"put":{"tags":["champ-resource"],"operationId":"updateChamp","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChampDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ChampDTO"}}}}}},"delete":{"tags":["champ-resource"],"operationId":"deleteChamp","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["champ-resource"],"operationId":"partialUpdateChamp","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChampDTO"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/ChampDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ChampDTO"}}}}}}},"/api/utilisateurs":{"get":{"tags":["utilisateur-resource"],"operationId":"getAllUtilisateurs","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UtilisateurDTO"}}}}}}},"post":{"tags":["utilisateur-resource"],"operationId":"createUtilisateur","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UtilisateurDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UtilisateurDTO"}}}}}}},"/api/type-structures":{"get":{"tags":["type-structure-resource"],"operationId":"getAllTypeStructures","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TypeStructureDTO"}}}}}}},"post":{"tags":["type-structure-resource"],"operationId":"createTypeStructure","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TypeStructureDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TypeStructureDTO"}}}}}}},"/api/sylab/saveUtilisateur":{"post":{"tags":["sylab-interface"],"operationId":"createUtilisateur_1","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SylabUserDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UtilisateurDTO"}}}}}}},"/api/structures":{"get":{"tags":["structure-resource"],"operationId":"getAllStructures","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/StructureDTO"}}}}}}},"post":{"tags":["structure-resource"],"operationId":"createStructure","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StructureDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StructureDTO"}}}}}}},"/api/register":{"post":{"tags":["account-resource"],"operationId":"registerAccount","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ManagedUserVM"}}},"required":true},"responses":{"201":{"description":"Created","content":{"*/*":{"schema":{"$ref":"#/components/schemas/User"}}}}}}},"/api/receive/type-structure":{"post":{"tags":["structure-sync-receiver-resource"],"operationId":"receiveTypeStructure","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TypeStructureRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SyncResponse"}}}}}}},"/api/receive/structure":{"post":{"tags":["structure-sync-receiver-resource"],"operationId":"receiveStructure","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StructureRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SyncResponse"}}}}}}},"/api/receive/batch":{"post":{"tags":["structure-sync-receiver-resource"],"operationId":"receiveBatch","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BatchRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SyncResponse"}}}}}}},"/api/personne-physiques/getInfosPersons":{"post":{"tags":["personne-physique-resource"],"operationId":"getInfosPerson","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ParamEntreeDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/personne-physiques/compare-sylab":{"post":{"tags":["personne-physique-resource"],"operationId":"compareByFingerAndNIN","requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/personne-physiques/compare-fingers":{"post":{"tags":["personne-physique-resource"],"operationId":"compareFingers","requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/personne-physiques/compare-faces":{"post":{"tags":["personne-physique-resource"],"operationId":"compareFaces","requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/persistent-audit-events":{"get":{"tags":["persistent-audit-event-resource"],"operationId":"getAllPersistentAuditEvents","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PersistentAuditEventDTO"}}}}}}},"post":{"tags":["persistent-audit-event-resource"],"operationId":"createPersistentAuditEvent","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersistentAuditEventDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PersistentAuditEventDTO"}}}}}}},"/api/permissions":{"get":{"tags":["permission-resource"],"operationId":"getAllPermissions","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PermissionDTO"}}}}}}},"post":{"tags":["permission-resource"],"operationId":"createPermission","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PermissionDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PermissionDTO"}}}}}}},"/api/permissions/config":{"post":{"tags":["permission-resource"],"operationId":"configPermission","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConfigurationDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PermissionDTO"}}}}}}},"/api/param-sorties":{"get":{"tags":["param-sortie-resource"],"operationId":"getAllParamSorties","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ParamSortieDTO"}}}}}}},"post":{"tags":["param-sortie-resource"],"operationId":"createParamSortie","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ParamSortieDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ParamSortieDTO"}}}}}}},"/api/methodes":{"get":{"tags":["methode-resource"],"operationId":"getAllMethodes","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MethodeDTO"}}}}}}},"post":{"tags":["methode-resource"],"operationId":"createMethode","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MethodeDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MethodeDTO"}}}}}}},"/api/journals":{"post":{"tags":["journal-resource"],"operationId":"createJournal","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/JournalDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/JournalDTO"}}}}}}},"/api/facturations":{"get":{"tags":["facturation-resource"],"operationId":"getAllFacturations","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FacturationDTO"}}}}}}},"post":{"tags":["facturation-resource"],"operationId":"createFacturation","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FacturationDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/FacturationDTO"}}}}}}},"/api/champs":{"get":{"tags":["champ-resource"],"operationId":"getAllChamps","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ChampDTO"}}}}}}},"post":{"tags":["champ-resource"],"operationId":"createChamp","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChampDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ChampDTO"}}}}}}},"/api/authenticate":{"post":{"tags":["authentication-controller"],"operationId":"authorize","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LoginVM"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/JWTToken"}}}}}}},"/api/account":{"get":{"tags":["account-resource"],"operationId":"getAccount","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserDTO"}}}}}},"post":{"tags":["account-resource"],"operationId":"saveAccount","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserDTO"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/api/account/change-password":{"post":{"tags":["account-resource"],"operationId":"changePassword","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PasswordChangeDTO"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/api/utilisateurs/userGet":{"get":{"tags":["utilisateur-resource"],"operationId":"findUtilisateurByUserId","parameters":[{"name":"userId","in":"query","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UtilisateurDTO"}}}}}}},"/api/utilisateurs/login":{"get":{"tags":["utilisateur-resource"],"operationId":"findUtilisateurByLogin","parameters":[{"name":"login","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UtilisateurDTO"}}}}}}},"/api/sylab":{"get":{"tags":["sylab-interface"],"operationId":"getAllUtilisateurs_1","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UtilisateurDTO"}}}}}}}},"/api/sylab/{id}":{"get":{"tags":["sylab-interface"],"operationId":"getUtilisateur_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UtilisateurDTO"}}}}}},"delete":{"tags":["sylab-interface"],"operationId":"deleteUtilisateur_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}},"/api/sylab/login":{"get":{"tags":["sylab-interface"],"operationId":"findUtilisateurByLogin_1","parameters":[{"name":"login","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UtilisateurDTO"}}}}}}},"/api/personne-physiques/getInfosPersonsByNinOrCardNumber/{nin}":{"get":{"tags":["personne-physique-resource"],"operationId":"getPersonByNinOrCardNumber","parameters":[{"name":"nin","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/personne-physiques/available-fields":{"get":{"tags":["personne-physique-resource"],"operationId":"getAvailableFields","parameters":[{"name":"userId","in":"query","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string"}}}}}}}},"/api/permissions/user":{"get":{"tags":["permission-resource"],"operationId":"getUserPermissions","parameters":[{"name":"userId","in":"query","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PermissionDTO"}}}}}}}},"/api/permissions/user/{userId}/allowed-fields":{"get":{"tags":["permission-resource"],"operationId":"getUserAllowedFields","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string"}}}}}}}},"/api/param-sorties/permission":{"get":{"tags":["param-sortie-resource"],"operationId":"getAllParamSortiesByUser","parameters":[{"name":"permissionId","in":"query","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ParamSortieDTO"}}}}}}}},"/api/journals/{id}":{"get":{"tags":["journal-resource"],"operationId":"getJournal","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/JournalDTO"}}}}}},"delete":{"tags":["journal-resource"],"operationId":"deleteJournal","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}},"/api/journals/user/{userId}":{"get":{"tags":["journal-resource"],"operationId":"getAllJournalsByUser","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/JournalDTO"}}}}}}}},"/api/journals/recent/{userId}":{"get":{"tags":["journal-resource"],"operationId":"getRecentHistory","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/JournalDTO"}}}}}}}},"/api/journals/last5/{userId}":{"get":{"tags":["journal-resource"],"operationId":"getLast5Searches","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/JournalDTO"}}}}}}}},"/api/journals/count/{userId}":{"get":{"tags":["journal-resource"],"operationId":"countSearchesByUser","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"integer","format":"int64"}}}}}}},"/api/facturations/user":{"get":{"tags":["facturation-resource"],"operationId":"getAllFacturationsByUser","parameters":[{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}},{"name":"userId","in":"query","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"dateDebut","in":"query","required":true,"schema":{"type":"string"}},{"name":"dateFin","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FacturationDTO"}}}}}}}},"/api/facturations/userId":{"get":{"tags":["facturation-resource"],"operationId":"getAllFacturationsByUserId","parameters":[{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}},{"name":"userId","in":"query","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FacturationDTO"}}}}}}}},"/api/facturations/dashboard":{"get":{"tags":["facturation-resource"],"operationId":"getDashboard","parameters":[{"name":"dateDebut","in":"query","required":false,"schema":{"type":"string","format":"date"}},{"name":"dateFin","in":"query","required":false,"schema":{"type":"string","format":"date"}},{"name":"typeStructureId","in":"query","required":false,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FacturationDashboardDTO"}}}}}}}},"/api/authorities":{"get":{"tags":["authority-resource"],"operationId":"getAllAuthorities","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Authority"}}}}}}}}},"components":{"schemas":{"StructureDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"raisonSociale":{"type":"string"},"ninea":{"type":"string"},"telephone":{"type":"string"},"adresse":{"type":"string"},"gerant":{"type":"string"},"email":{"type":"string"},"logo":{"type":"string"},"logoContentType":{"type":"string"},"typeStructure":{"$ref":"#/components/schemas/TypeStructureDTO"}}},"TypeStructureDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"code":{"type":"string"},"libelle":{"type":"string"}}},"UtilisateurDTO":{"required":["activated","createdBy","iduser","login"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"login":{"maxLength":50,"minLength":1,"type":"string"},"passwordHash":{"maxLength":60,"minLength":60,"type":"string"},"firstName":{"maxLength":50,"minLength":0,"type":"string"},"lastName":{"maxLength":50,"minLength":0,"type":"string"},"email":{"maxLength":254,"minLength":0,"type":"string"},"imageUrl":{"maxLength":256,"minLength":0,"type":"string"},"activated":{"type":"boolean"},"langKey":{"maxLength":6,"minLength":0,"type":"string"},"activationKey":{"maxLength":20,"minLength":0,"type":"string"},"resetKey":{"maxLength":20,"minLength":0,"type":"string"},"createdBy":{"maxLength":50,"minLength":0,"type":"string"},"createdDate":{"type":"string","format":"date-time"},"resetDate":{"type":"string","format":"date-time"},"lastModifiedBy":{"maxLength":50,"minLength":0,"type":"string"},"lastModifiedDate":{"type":"string","format":"date-time"},"iduser":{"type":"integer","format":"int64"},"structure":{"$ref":"#/components/schemas/StructureDTO"}}},"PersistentAuditEventDTO":{"required":["principal"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"principal":{"type":"string"},"auditEventDate":{"type":"string","format":"date-time"},"auditEventType":{"type":"string"}}},"MethodeDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"nom":{"type":"string"}}},"PermissionDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"utilisateur":{"$ref":"#/components/schemas/UserDTO"},"methode":{"$ref":"#/components/schemas/MethodeDTO"}}},"UserDTO":{"required":["login"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"login":{"maxLength":50,"minLength":1,"pattern":"^[_.@A-Za-z0-9-]*$","type":"string"},"firstName":{"maxLength":50,"minLength":0,"type":"string"},"lastName":{"maxLength":50,"minLength":0,"type":"string"},"email":{"maxLength":254,"minLength":5,"type":"string"},"imageUrl":{"maxLength":256,"minLength":0,"type":"string"},"activated":{"type":"boolean"},"langKey":{"maxLength":6,"minLength":2,"type":"string"},"createdBy":{"type":"string"},"createdDate":{"type":"string","format":"date-time"},"lastModifiedBy":{"type":"string"},"lastModifiedDate":{"type":"string","format":"date-time"},"authorities":{"type":"string"},"structureId":{"type":"integer","format":"int64"}}},"ChampDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"nom":{"type":"string"}}},"ParamSortieDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"permission":{"$ref":"#/components/schemas/PermissionDTO"},"champ":{"$ref":"#/components/schemas/ChampDTO"}}},"FacturationDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"dateInsertion":{"type":"string","format":"date-time"},"fonction":{"type":"string"},"methode":{"type":"string"},"etat":{"type":"string"},"utilisateur":{"$ref":"#/components/schemas/UtilisateurDTO"}}},"Methode":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"nom":{"type":"string"}}},"ParamSortie":{"type":"object","properties":{"id":{"type":"integer","format":"int64"}}},"Permission":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"utilisateur":{"$ref":"#/components/schemas/Utilisateur"},"methode":{"$ref":"#/components/schemas/Methode"},"paramSorties":{"uniqueItems":true,"type":"array","items":{"$ref":"#/components/schemas/ParamSortie"}}}},"Structure":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"denomination":{"type":"string"},"nomContact":{"type":"string"},"telephoneContact":{"type":"string"},"emailContact":{"type":"string"},"code":{"type":"string"},"prenomContact":{"type":"string"},"raisonSociale":{"type":"string"},"ninea":{"type":"string"},"telephone":{"type":"string"},"adresse":{"type":"string"},"gerant":{"type":"string"},"email":{"type":"string"},"active":{"type":"boolean"},"logo":{"type":"string"},"logoContentType":{"type":"string"},"typeStructure":{"$ref":"#/components/schemas/TypeStructure"},"utilisateurs":{"uniqueItems":true,"type":"array","items":{"$ref":"#/components/schemas/Utilisateur"}}}},"SylabUserDTO":{"required":["login"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"login":{"maxLength":50,"minLength":1,"pattern":"^[_.@A-Za-z0-9-]*$","type":"string"},"firstName":{"maxLength":50,"minLength":0,"type":"string"},"lastName":{"maxLength":50,"minLength":0,"type":"string"},"email":{"maxLength":254,"minLength":5,"type":"string"},"imageUrl":{"maxLength":256,"minLength":0,"type":"string"},"activated":{"type":"boolean"},"langKey":{"maxLength":6,"minLength":2,"type":"string"},"createdBy":{"type":"string"},"createdDate":{"type":"string","format":"date-time"},"lastModifiedBy":{"type":"string"},"lastModifiedDate":{"type":"string","format":"date-time"},"authorities":{"type":"string"},"structureId":{"type":"integer","format":"int64"},"password":{"type":"string"},"structure":{"$ref":"#/components/schemas/Structure"}}},"TypeStructure":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"code":{"type":"string"},"libelle":{"type":"string"},"active":{"type":"boolean"}}},"Utilisateur":{"required":["activated","createdBy","iduser","login"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"login":{"maxLength":50,"minLength":1,"type":"string"},"firstName":{"maxLength":50,"minLength":0,"type":"string"},"lastName":{"maxLength":50,"minLength":0,"type":"string"},"email":{"maxLength":254,"minLength":0,"type":"string"},"imageUrl":{"maxLength":256,"minLength":0,"type":"string"},"activated":{"type":"boolean"},"langKey":{"maxLength":6,"minLength":0,"type":"string"},"createdBy":{"maxLength":50,"minLength":0,"type":"string"},"createdDate":{"type":"string","format":"date-time"},"resetDate":{"type":"string","format":"date-time"},"lastModifiedBy":{"maxLength":50,"minLength":0,"type":"string"},"lastModifiedDate":{"type":"string","format":"date-time"},"iduser":{"type":"integer","format":"int64"},"permission":{"$ref":"#/components/schemas/Permission"}}},"ManagedUserVM":{"required":["login"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"login":{"maxLength":50,"minLength":1,"pattern":"^[_.@A-Za-z0-9-]*$","type":"string"},"firstName":{"maxLength":50,"minLength":0,"type":"string"},"lastName":{"maxLength":50,"minLength":0,"type":"string"},"email":{"maxLength":254,"minLength":5,"type":"string"},"imageUrl":{"maxLength":256,"minLength":0,"type":"string"},"activated":{"type":"boolean"},"langKey":{"maxLength":6,"minLength":2,"type":"string"},"createdBy":{"type":"string"},"createdDate":{"type":"string","format":"date-time"},"lastModifiedBy":{"type":"string"},"lastModifiedDate":{"type":"string","format":"date-time"},"authorities":{"type":"string"},"structureId":{"type":"integer","format":"int64"},"password":{"maxLength":100,"minLength":4,"type":"string"}}},"User":{"required":["activated"],"type":"object","properties":{"createdBy":{"type":"string"},"createdDate":{"type":"string","format":"date-time"},"lastModifiedBy":{"type":"string"},"lastModifiedDate":{"type":"string","format":"date-time"},"id":{"type":"integer","format":"int64"},"login":{"maxLength":50,"minLength":1,"pattern":"^[_.@A-Za-z0-9-]*$","type":"string"},"firstName":{"maxLength":50,"minLength":0,"type":"string"},"lastName":{"maxLength":50,"minLength":0,"type":"string"},"email":{"maxLength":254,"minLength":5,"type":"string"},"activated":{"type":"boolean"},"langKey":{"maxLength":6,"minLength":2,"type":"string"},"imageUrl":{"maxLength":256,"minLength":0,"type":"string"},"resetDate":{"type":"string","format":"date-time"},"structure":{"$ref":"#/components/schemas/Structure"}}},"TypeStructureRequest":{"type":"object","properties":{"action":{"type":"string"},"typeStructure":{"$ref":"#/components/schemas/TypeStructureSyncDTO"}}},"TypeStructureSyncDTO":{"required":["code","libelle"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"code":{"type":"string"},"libelle":{"type":"string"},"action":{"type":"string"},"active":{"type":"boolean"}}},"SyncResponse":{"type":"object","properties":{"status":{"type":"string"},"message":{"type":"string"},"resourceId":{"type":"integer","format":"int64"}}},"StructureRequest":{"type":"object","properties":{"action":{"type":"string"},"structure":{"$ref":"#/components/schemas/StructureSyncDTO"}}},"StructureSyncDTO":{"required":["denomination","typeStructureId"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"code":{"type":"string"},"denomination":{"type":"string"},"raisonSocial":{"type":"string"},"ninea":{"type":"string"},"adresse":{"type":"string"},"telephone":{"type":"string"},"email":{"type":"string"},"nomContact":{"type":"string"},"prenomContact":{"type":"string"},"telephoneContact":{"type":"string"},"emailContact":{"type":"string"},"logo":{"type":"string"},"logoContentType":{"type":"string"},"typeStructureId":{"type":"integer","format":"int64"},"typeStructure":{"$ref":"#/components/schemas/TypeStructureDTO"},"action":{"type":"string"},"active":{"type":"boolean"}}},"BatchRequest":{"type":"object","properties":{"typeStructureRequest":{"$ref":"#/components/schemas/TypeStructureRequest"},"structureRequest":{"$ref":"#/components/schemas/StructureRequest"}}},"ParamEntreeDTO":{"type":"object","properties":{"numeroCarte":{"type":"string"},"nin":{"type":"string"},"prenom":{"type":"string"},"nom":{"type":"string"},"dateNaissance":{"type":"string"},"codeEmpreinte":{"type":"string"},"imageEmpreinte":{"type":"string"},"photo":{"type":"string"},"prenomPere":{"type":"string"},"prenomMere":{"type":"string"},"nomMere":{"type":"string"},"idUser":{"type":"integer","format":"int64"},"telephone":{"type":"string"}}},"ConfigurationDTO":{"type":"object","properties":{"user":{"$ref":"#/components/schemas/UserDTO"},"newMethodes":{"type":"array","items":{"$ref":"#/components/schemas/MethodeDTO"}},"newChamps":{"type":"array","items":{"$ref":"#/components/schemas/ChampDTO"}},"oldPermissions":{"type":"array","items":{"$ref":"#/components/schemas/PermissionDTO"}}}},"JournalDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"utilisateur":{"$ref":"#/components/schemas/UtilisateurDTO"},"searchType":{"type":"string"},"nin":{"type":"string"},"cardNumber":{"type":"string"},"lastName":{"type":"string"},"status":{"type":"string"},"message":{"type":"string"},"personFound":{"type":"boolean"},"reference":{"type":"string"},"searchDate":{"type":"string","format":"date-time"},"executionTime":{"type":"integer","format":"int64"},"permissionType":{"type":"string"},"timeAgo":{"type":"string"},"displayId":{"type":"string"}}},"LoginVM":{"required":["password","username"],"type":"object","properties":{"username":{"maxLength":50,"minLength":1,"type":"string"},"password":{"maxLength":100,"minLength":4,"type":"string"}}},"JWTToken":{"type":"object","properties":{"id_token":{"type":"string"}}},"PasswordChangeDTO":{"type":"object","properties":{"currentPassword":{"type":"string"},"newPassword":{"type":"string"}}},"Pageable":{"type":"object","properties":{"page":{"minimum":0,"type":"integer","format":"int32"},"size":{"minimum":1,"type":"integer","format":"int32"},"sort":{"type":"array","items":{"type":"string"}}}},"FacturationDashboardDTO":{"type":"object","properties":{"structureId":{"type":"integer","format":"int64"},"raisonSociale":{"type":"string"},"email":{"type":"string"},"telephone":{"type":"string"},"typeStructure":{"$ref":"#/components/schemas/TypeStructureDTO"},"totalFacturations":{"type":"integer","format":"int64"}}},"Authority":{"required":["name"],"type":"object","properties":{"name":{"maxLength":50,"minLength":0,"type":"string"}}}}}}